Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.antlr
Class GroovySourceAST

We have an AST subclass so we can track source information. Very odd that ANTLR doesn't do this by default.

author:
  Mike Spille

author:
  Jeremy Rayner

Field Summary
`int` | `col`
`int` | `colLast`
`int` | `line`
`int` | `lineLast`
`String` | `snippet`

Constructor Summary
`GroovySourceAST()`
`GroovySourceAST(Token t)`

Method Summary
`GroovySourceAST` | `childAt(int position)`
`GroovySourceAST` | `childOfType(int type)`
`int` | `compareTo(Object object)`
`int` | `getColumn()`
`int` | `getColumnLast()`
`int` | `getLine()`
`int` | `getLineLast()`
`String` | `getSnippet()`
`void` | `initialize(AST ast)`
`void` | `initialize(Token t)`
`void` | `setColumn(int column)`
`void` | `setColumnLast(int colLast)`
`void` | `setLast(Token last)`
`void` | `setLine(int line)`
`void` | `setLineLast(int lineLast)`
`void` | `setSnippet(String snippet)`

Constructor Detail

### GroovySourceAST

    public GroovySourceAST()

### GroovySourceAST

    public GroovySourceAST(Token t)

Method Detail

### childAt

    public GroovySourceAST childAt(int position)

### childOfType

    public GroovySourceAST childOfType(int type)

### compareTo

    public int compareTo(Object object)

### getColumn

    public int getColumn()

### getColumnLast

    public int getColumnLast()

### getLine

    public int getLine()

### getLineLast

    public int getLineLast()

### getSnippet

    public String getSnippet()

### initialize

    public void initialize(AST ast)

### initialize

    public void initialize(Token t)

### setColumn

    public void setColumn(int column)

### setColumnLast

    public void setColumnLast(int colLast)

### setLast

    public void setLast(Token last)

### setLine

    public void setLine(int line)

### setLineLast

    public void setLineLast(int lineLast)

### setSnippet

    public void setSnippet(String snippet)